class CreateBookingOrders < ActiveRecord::Migration[5.1]
  def change
    create_table :booking_orders, :id => false do |t|
      #t.string :booking_order_id, :limit => 16, :null => false, :index => true, :unique => true #custom primary key - to ensure consistence for cloud syncing
      t.primary_key :booking_order_id
      t.string :booking_id, foreign_key: true, :limit => 16
      t.string :order_id, foreign_key: true, :limit => 16

      t.timestamps
    end
  end
end
